kafka-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ij...@apache.org
Subject [kafka] branch trunk updated: MINOR: Upgrade Gradle to 4.8 and bug fix updates for other deps (#5148)
Date Thu, 07 Jun 2018 07:28:18 GMT
This is an automated email from the ASF dual-hosted git repository.

ijuma pushed a commit to branch trunk
in repository https://gitbox.apache.org/repos/asf/kafka.git


The following commit(s) were added to refs/heads/trunk by this push:
     new 287a92f  MINOR: Upgrade Gradle to 4.8 and bug fix updates for other deps (#5148)
287a92f is described below

commit 287a92f746e898971cac0bdca18a045f2d5e0907
Author: Ismael Juma <ismael@juma.me.uk>
AuthorDate: Thu Jun 7 00:28:07 2018 -0700

    MINOR: Upgrade Gradle to 4.8 and bug fix updates for other deps (#5148)
    
    In addition to Gradle, updated snappy, owasp-dependency-check,
    apache directory service api.
    
    Gradle 4.8 fixes a fatal issue when building with Java 11, but
    full support is coming in 4.9 or later.
---
 build.gradle               | 4 ++--
 gradle/dependencies.gradle | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/build.gradle b/build.gradle
index b796c21..848d12c 100644
--- a/build.gradle
+++ b/build.gradle
@@ -28,7 +28,7 @@ buildscript {
     classpath 'com.github.ben-manes:gradle-versions-plugin:0.17.0'
     classpath 'org.scoverage:gradle-scoverage:2.3.0'
     classpath 'com.github.jengelman.gradle.plugins:shadow:2.0.4'
-    classpath 'org.owasp:dependency-check-gradle:3.1.2'
+    classpath 'org.owasp:dependency-check-gradle:3.2.1'
   }
 }
 
@@ -76,7 +76,7 @@ allprojects {
 }
 
 ext {
-  gradleVersion = "4.7"
+  gradleVersion = "4.8"
   minJavaVersion = "8"
   buildVersionFileName = "kafka-version.properties"
 
diff --git a/gradle/dependencies.gradle b/gradle/dependencies.gradle
index ce2db72..405fae9 100644
--- a/gradle/dependencies.gradle
+++ b/gradle/dependencies.gradle
@@ -48,7 +48,7 @@ versions["baseScala"] = versions.scala.substring(0, versions.scala.lastIndexOf("
 
 versions += [
   activation: "1.1.1",
-  apacheda: "1.0.1",
+  apacheda: "1.0.2",
   apacheds: "2.0.0-M24",
   argparse4j: "0.7.0",
   bcpkix: "1.59",
@@ -79,7 +79,7 @@ versions += [
   scalatest: "3.0.5",
   scoverage: "1.3.1",
   slf4j: "1.7.25",
-  snappy: "1.1.7.1",
+  snappy: "1.1.7.2",
   zkclient: "0.10",
   zookeeper: "3.4.12"
 ]

-- 
To stop receiving notification emails like this one, please contact
ijuma@apache.org.

Mime
View raw message